Public Class BaseClass
  Private data As Single
  Private Const defaultv As Single = 12.2
  '-----
  Public Overridable Overloads Sub setData(ByVal x As Single)
    data = x
  End Sub
  '-----
  Public Overridable Overloads Sub setData()
    data = defaultv
  End Sub
End Class
